# This file created by conda-build 3.15.1
# ------------------------------------------------

package:
    name: numpy-base
    version: 1.14.6
source:
    git_rev: v1.14.6
    git_url: https://github.com/numpy/numpy
    patches:
        - 0001-fix-windows-case-sensitivity.patch
        - 0002-simplify-arch-flags.patch
        - 0003-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
        - 0004-disable-memmap-filename-test-due-to-CI-link-confusio.patch
        - 0005-disable-broken-tests.patch
build:
    force_use_keys:
        - python
    noarch: false
    number: '4'
    script: install_base.sh
    string: py36ha711998_4
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 h5487866_0
        - gfortran_osx-64 4.8.5 h22b1bf0_4
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libgfortran 3.0.1 h93005f0_2
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - blas 1.0 openblas
        - ca-certificates 2018.03.07 0
        - certifi 2018.8.24 py36_1
        - cython 0.28.5 py36h0a44026_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libopenblas 0.3.3 hdc02c5d_3
        - ncurses 6.1 h0a44026_0
        - nomkl 3.0 0
        - openblas-devel 0.3.3 3
        - openssl 1.0.2p h1de35cc_0
        - python 3.6.6 hc167b69_0
        - readline 7.0 h1de35cc_5
        - setuptools 40.2.0 py36_0
        - sqlite 3.24.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - blas * openblas
        - libgfortran >=3.0.1
        - libopenblas >=0.3.3,<1.0a0
        - python >=3.6,<3.7.0a0
test:
    commands:
        - test -e $SP_DIR/numpy/distutils/site.cfg
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - msarahan
        - ocefpaf
        - pelson
        - rgommers
